<template>
  <div class="goldPrice pagePadding">
    <el-row
      style="padding: 10px 0 0 0"
      v-if=" powers.some((i) => i == '001')"
    >
      <el-tabs v-model="activeName">
        <el-tab-pane label="当前金价" name="first">
          <price-list />
        </el-tab-pane>
        <el-tab-pane label="修改记录" name="second">
          <price-record />
        </el-tab-pane>
      </el-tabs>
    </el-row>

    <no-auth v-else></no-auth>
  </div>
</template>
<script>
import priceList from "./components/priceList";
import priceRecord from "./components/priceRecord";
export default {
  name: "goldPrice",
  components: {
    priceList,
    priceRecord,
  },
  computed: {
    powers() {
      const tran =
        this.$store.getters.btnList.find(
          (item) => item.menu_route == "goldPrice"
        ) || {};
      const { action } = tran ?? {};
      return action ?? [];
    },
  },
  data() {
    return {
      activeName:"first"
    };
  },

};
</script>

<style lang="scss" scoped>
</style>
